Withdraw or deposit cash at cashdrawer
Withdraw or deposit cash at cashdrawer
Required permissions: TILL_OPERATION
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
Reference to a till.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+cashreportUidstringRequiredPattern:
Reference to a cashreport.
^[A-Za-z0-9-_]+Body
amountintegerRequired
commentstringRequired
Responses
200
OK
No content
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29
{
"amount": 1,
"comment": "text"
}200
OK
No content
Last updated
Was this helpful?

